# List Compensation Types. Returns a list of Compensation Types for an authorized company. The types include one-time and recurring Compensation Types. Bonuses should use recurring or one time types. # OpenAPI definition ```json { "openapi": "3.0.3", "info": { "title": "Payroll Integrations API", "description": "Collection of endpoints that will allow external companies to integrate Payroll providers with Personio's.", "version": "2.0.0" }, "servers": [ { "url": "https://api.personio.de" } ], "security": [ { "BearerAuth": [] } ], "paths": { "/v2/compensations/types": { "get": { "summary": "List Compensation Types.", "tags": [ "Compensations" ], "description": "Returns a list of Compensation Types for an authorized company. The types include one-time and recurring Compensation Types. Bonuses should use recurring or one time types.\n", "parameters": [ { "in": "query", "name": "limit", "required": false, "schema": { "type": "number", "minimum": 1, "maximum": 100 }, "example": 100, "description": "The amount of resources to be returned per one request. It can range between 1 and 100, and the default is 100." }, { "$ref": "#/paths/~1v2~1compensations/get/parameters/5" } ], "x-path-examples": { "Success - List all compensation types": { "value": "/v2/compensations/types" }, "Success - Limit list of compensation types": { "value": "/v2/compensations/types", "query": "limit=1" }, "Bad Request - Limit value not allowed": { "value": "/v2/compensations/types", "query": "limit=101" } }, "responses": { "200": { "description": "Successful response.", "content": { "application/json": { "schema": { "properties": { "_data": { "type": "array", "items": { "$ref": "#/components/schemas/CompensationType" } }, "_meta": { "$ref": "#/paths/~1v2~1compensations/get/responses/200/content/application~1json/schema/properties/_meta" } } }, "examples": { "Success - List all compensation types": { "value": { "_data": [ { "id": "0b2f06b4-5c61-4bf5-9e8f-e23fb2c52ff7", "name": "salary", "category": "FIXED_SALARY" }, { "id": "79ed53cd-b9ff-4bb0-8491-203456a8c18f", "name": "sign-in bonus", "category": "ONE_TIME" }, { "id": "49bd82d9-b549-4335-9eff-ad0fb0085fba", "name": "transport", "category": "RECURRING" } ], "_meta": { "links": { "self": { "href": "https://api.personio.de/v2/compensations/types" } } } } }, "Success - Limit list of compensation types": { "value": { "_data": [ { "id": "0b2f06b4-5c61-4bf5-9e8f-e23fb2c52ff7", "name": "salary", "category": "FIXED_SALARY" } ], "_meta": { "links": { "self": { "href": "https://api.personio.de/v2/compensations/types" }, "next": { "href": "https://api.personio.de/v2/compensations/types?cursor=cur_b2Zmc2V0PTEmbGltaXQ9MQ==" } } } } } } } } }, "400": { "description": "The current request is invalid. Please make sure you pass all the required parameters and you are using the proper content-type.", "content": { "application/problem+json": { "schema": { "$ref": "#/paths/~1v2~1compensations/get/responses/400/content/application~1problem%2Bjson/schema" }, "examples": { "Bad Request - Limit value not allowed": { "$ref": "#/components/examples/InvalidLimitValue" } } } } } } } } }, "components": { "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer" } }, "schemas": { "CompensationType": { "description": "Compensation Type schema.", "type": "object", "required": [ "id", "name", "category" ], "properties": { "id": { "type": "string", "description": "UUID of the Compensation Type." }, "name": { "type": "string", "description": "Name given to the Compensation Type." }, "category": { "type": "string", "enum": [ "FIXED_SALARY", "HOURLY_SALARY", "RECURRING", "ONE_TIME" ], "description": "Payout frequency of the compensations of this type. FIXED_SALARY is the usual monthly or yearly salary. HOURLY_SALARY is the rate of the hour. ONE_TIME or RECURRING are bonuses and extra payments." } } } }, "examples": { "InvalidLimitValue": { "value": { "personio_trace_id": "aswo3f-a202lfso-312123sld-1230ddd", "timestamp": "2021-05-28T11:17:30+00:00", "errors": [ { "title": "Bad request", "detail": "Provided filter limit is invalid.", "type": "https://developer.personio.de/v2.0/page/public-api-error-codes#compensations.filter.bad_request" } ] } } } } } ```